## cascading.operation
Interface Function<C>

All Superinterfaces:
  Operation<C>

All Known Implementing Classes:
  AggregateBy.CompositeFunction, DateFormatter, DateParser, ExpressionFunction, FieldFormatter, FieldJoiner, Identity, Insert, RegexGenerator, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter, SetValue, TagSoupParser, UnGroup, XPathGenerator, XPathParser

    public interface Function<C>

extends Operation<C>

Interface Function marks a given `BaseOperation` as a function, as opposed to being a `Filter`.

Field Summary

Fields inherited from interface cascading.operation.Operation
`ANY`

Method Summary
`void` `operate(FlowProcess flowProcess, FunctionCall<C> functionCall)` Method operate provides the implementation of this Function.

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Method Detail

### operate

    void operate(FlowProcess flowProcess,
                 FunctionCall<C> functionCall)

  Method operate provides the implementation of this Function.

  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.